
Redmine - Defect #31627

Mime output on note in project 

2019-06-26 09:57 - Tech Iewc

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.5

Description

I am new to redmine and have updated an old release of redmine

The issue I am facing now if you leave a note or comment or update on any existing issues then they reply shows the mime output

on the note or comment

Sanitised screenshot attached

Running on Gentoo linux so it is difficult to get newest version of redmine

Have tried and it breaks badly so waiting for release through Gentoo package manager portage

Environment:

Redmine version                3.4.5.stable

Ruby version                   2.4.6-p354 (2019-04-01) [x86_64-linux]

Rails version                  4.2.11.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.10.4

Git                            2.21.0

Filesystem

Redmine plugins:

redmine_dmsf                   1.6.2

*update further investigation shows all issues updates are showing the mime email in the note

Below logs when submitting a note on the issue

I, [2019-06-25T13:34:04.941909 #29898] INFO -- : Started PATCH "/issues/18498" for at 2019-06-25 13:34:04 +0200

I, [2019-06-25T13:34:04.943471 #29898] INFO -- : Processing by IssuesController#update as HTML

I, [2019-06-25T13:34:04.943755 #29898] INFO -- : Parameters: {"utf8"=>"✓", "authenticity_token"=>"",

"form_update_triggered_by"=>"", "issue"=>{"is_private"=>"0", "project_id"=>"564", "tracker_id"=>"10", "subject"=>"- Dashboard",

"description"=>"Create the dashboard for the LPro campaign", "status_id"=>"5", "priority_id"=>"4", "assigned_to_id"=>"103",

"fixed_version_id"=>"", "parent_issue_id"=>"", "start_date"=>"2019-04-23", "due_date"=>"2019-04-23", "estimated_hours"=>"3.47",

"done_ratio"=>"0", "notes"=>" wrote:\r\n>  wrote:\r\n> > Dashboard reviewed - moved to root folder and shared with .\r\n> > \r\n> >

Please return so we can create the detailed dashboard\r\n> \r\n> Testing notifications switched off\r\n\r\ntesting again for logging",

"private_notes"=>"0", "lock_version"=>"36"}, "time_entry"=>{"hours"=>"", "activity_id"=>"17", "comments"=>""},

"last_journal_id"=>"94836", "commit"=>"Submit", "id"=>"18498"}

I, [2019-06-25T13:34:04.973472 #29898] INFO -- : Current user: ()

I, [2019-06-25T13:34:05.023158 #29898] INFO -- : Rendered mailer/_issue.text.erb (8.4ms)

I, [2019-06-25T13:34:05.023400 #29898] INFO -- : Rendered mailer/issue_add.text.erb within layouts/mailer (9.1ms)

I, [2019-06-25T13:34:05.027501 #29898] INFO -- : Rendered mailer/_issue.html.erb (3.1ms)

I, [2019-06-25T13:34:05.027710 #29898] INFO -- : Rendered mailer/issue_add.html.erb within layouts/mailer (3.7ms)

I, [2019-06-25T13:34:06.109101 #29898] INFO -- : Rendered mailer/_issue.text.erb (4.8ms)

I, [2019-06-25T13:34:06.109326 #29898] INFO -- : Rendered mailer/issue_add.text.erb within layouts/mailer (5.4ms)

I, [2019-06-25T13:34:06.112667 #29898] INFO -- : Rendered mailer/_issue.html.erb (2.5ms)

I, [2019-06-25T13:34:06.113452 #29898] INFO -- : Rendered mailer/issue_add.html.erb within layouts/mailer (3.5ms)

I, [2019-06-25T13:34:06.434665 #29898] INFO -- : Rendered mailer/_issue.text.erb (1.4ms)

I, [2019-06-25T13:34:06.434844 #29898] INFO -- : Rendered mailer/issue_add.text.erb within layouts/mailer (1.9ms)

I, [2019-06-25T13:34:06.438757 #29898] INFO -- : Rendered mailer/_issue.html.erb (2.9ms)

I, [2019-06-25T13:34:06.439202 #29898] INFO -- : Rendered mailer/issue_add.html.erb within layouts/mailer (3.8ms)
I, [2019-06-25T13:34:06.853092 #29898] INFO -- : Rendered mailer/_issue.text.erb (10.3ms)

I, [2019-06-25T13:34:06.853304 #29898] INFO -- : Rendered mailer/issue_edit.text.erb within layouts/mailer (11.8ms)

I, [2019-06-25T13:34:06.859202 #29898] INFO -- : Rendered mailer/_issue.html.erb (2.6ms)

I, [2019-06-25T13:34:06.859398 #29898] INFO -- : Rendered mailer/issue_edit.html.erb within layouts/mailer (5.5ms)

I, [2019-06-25T13:34:07.073094 #29898] INFO -- : Redirected to https:///issues/18498

I, [2019-06-25T13:34:07.073402 #29898] INFO -- : Completed 302 Found in 2129ms (ActiveRecord: 94.4ms)

I, [2019-06-25T13:34:07.075416 #29898] INFO -- : Started GET

"/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=assigned_to_id&op%5Bassign

ed_to_id%5D=%3D&v%5Bassigned_to_id%5D%5B%5D=me&f%5B%5D=&c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=stat

us&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=due_date&c%5B%5D=d

one_ratio&group_by=" for at 2019-06-25 13:34:07 +0200

Sanitised mime output that show as a bullet point on every single comment/update or note

Send notification changed from Date: Wed, 26 Jun 2019 09:28:12 +0200 From: redmine To:  Message-ID:

<redmine.issue-18498.20190423090910.e8326b66a1fd91f2@> References: <redmine.issue-18498.20190423090910@> Subject: [ -

Reporting #18498] (Closed) - Dashboard Mime-Version: 1.0 Content-Type: multipart/alternative;

boundary="--==_mimepart_5d131e8ccadf5_46723fea547c6dec419d5"; charset=UTF-8 Content-Transfer-Encoding: 7bit

X-Redmine-Project:  X-Redmine-Issue-Id: 18498 X-Redmine-Issue-Author:  X-Redmine-Issue-Assignee:  X-Redmine-Sender:

simon@ X-Mailer: Redmine X-Redmine-Host:  X-Redmine-Site:  - Redmine X-Auto-Response-Suppress: All Auto-Submitted:

auto-generated List-Id: <redmine.> ----==_mimepart_5d131e8ccadf5_46723fea547c6dec419d5 Content-Type: text/plain;

charset=UTF-8 Content-Transfer-Encoding: 7bit Issue #18498 has been reported by. ---------------------------------------- Reporting

#18498: - Dashboard http:///issues/18498 * Author:  * Status: Closed * Priority: Normal * Assignee:  * Category: * Target version:

---------------------------------------- Create the dashboard for the LPro campaign ---Files-------------------------------- -

DashboardReleaseNote (1).pdf (72 KB) -- You have received this notification because you have either subscribed to it, or are

involved in it. To change your notification preferences, please click here: http:///redmine/my/account

----==_mimepart_5d131e8ccadf5_46723fea547c6dec419d5 Content-Type: text/html; charset=UTF-8 Content-Transfer-Encoding: 7bit

<!DOCTYPE html> <html> <head> <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><style>a:link{color:#169}

a:visited{color:#169} a:hover{color:#c61a1a} a:active{color:#c61a1a}</style></head> <body style="font-family:Verdana,

sans-serif;font-size:14px;line-height:1.4em;color:#222"> Issue <a href="http:///issues/18498" style="color:#169">#18498</a> has

been reported by . <hr style="width:100%;height:1px;background:#ccc;border:0;margin:1.2em 0"> <h1 style='font-family:"Trebuchet

MS", Verdana, sans-serif;margin:0px;font-size:1.3em;line-height:1.4em'><a href="http:///issues/18498" style="color:#169">Reporting

#18498:  - Dashboard</a></h1> <ul class="details" style="color:#959595;margin-bottom:1.5em"><li><strong>Author: </strong></li>

<li><strong>Status: </strong>Closed</li> <li><strong>Priority: </strong>Normal</li> <li><strong>Assignee: </strong></li>

<li><strong>Category: </strong></li> <li><strong>Target version: </strong></li></ul> <p>Create the dashboard for the LPro

campaign</p> <fieldset class="attachments" style="border-width:1px 0 0 0"><legend>Files</legend> <a

href="http:///-%20DashboardReleaseNote%20(1).pdf" style="color:#169"> (1).pdf</a> (72 KB)<br> </fieldset> <hr

style="width:100%;height:1px;background:#ccc;border:0;margin:1.2em 0"> <span class="footer"

style="font-size:0.8em;font-style:italic"><p>You have received this notification because you have either subscribed to it, or are

involved in it.<br>To change your notification preferences, please click here: <a class="external" href="http:///redmine/my/account"

style="color:#169">http:///redmine/my/account&lt;/a&gt;&lt;/p&gt;&lt;/span> </body> </html>

----==_mimepart_5d131e8ccadf5_46723fea547c6dec419d5-- to Date: Wed, 26 Jun 2019 09:28:13 +0200 From: redmine To:

Message-ID: <redmine.issue-18498.20190423090910.d776b07814df2ee2@> References:

<redmine.issue-18498.20190423090910@> Subject: [ - Reporting #18498] (Closed)  - Dashboard Mime-Version: 1.0 Content-Type:

multipart/alternative; boundary="--==_mimepart_5d131e8db8b50_46723fea547c6dec420eb"; charset=UTF-8

Content-Transfer-Encoding: 7bit X-Redmine-Project:  X-Redmine-Issue-Id: 18498 X-Redmine-Issue-Author:

X-Redmine-Issue-Assignee:  X-Redmine-Sender: X-Mailer: Redmine X-Redmine-Host:  X-Redmine-Site: - Redmine

X-Auto-Response-Suppress: All Auto-Submitted: auto-generated List-Id: <redmine.>

----==_mimepart_5d131e8db8b50_46723fea547c6dec420eb Content-Type: text/plain; charset=UTF-8 Content-Transfer-Encoding:

7bit Issue #18498 has been reported by. ---------------------------------------- Reporting #18498: - Dashboard http:///issues/18498 *

Author:  * Status: Closed * Priority: Normal * Assignee:  * Category: * Target version: ---------------------------------------- Create the

dashboard for the LPro campaign ---Files-------------------------------- - DashboardReleaseNote (1).pdf (72 KB) -- You have received this

notification because you have either subscribed to it, or are involved in it. To change your notification preferences, please click here: 

http:///redmine/my/account ----==_mimepart_5d131e8db8b50_46723fea547c6dec420eb Content-Type: text/html; charset=UTF-8

Content-Transfer-Encoding: 7bit <!DOCTYPE html> <html> <head> <meta http-equiv="Content-Type" content="text/html;

charset=UTF-8"><style>a:link{color:#169} a:visited{color:#169} a:hover{color:#c61a1a} a:active{color:#c61a1a}</style></head>

<body style="font-family:Verdana, sans-serif;font-size:14px;line-height:1.4em;color:#222"> Issue <a href="http:///issues/18498"

style="color:#169">#18498</a> has been reported by. <hr style="width:100%;height:1px;background:#ccc;border:0;margin:1.2em

0"> <h1 style='font-family:"Trebuchet MS", Verdana, sans-serif;margin:0px;font-size:1.3em;line-height:1.4em'><a

href="http:///issues/18498" style="color:#169">Reporting #18498: - Dashboard</a></h1> <ul class="details"

style="color:#959595;margin-bottom:1.5em"><li><strong>Author: </strong></li> <li><strong>Status: </strong>Closed</li>

<li><strong>Priority: </strong>Normal</li> <li><strong>Assignee: </strong></li> <li><strong>Category: </strong></li>

<li><strong>Target version: </strong></li></ul> <p>Create the dashboard for the LPro campaign</p> <fieldset class="attachments"

style="border-width:1px 0 0 0"><legend>Files</legend> <a href="http:///-%20DashboardReleaseNote%20(1).pdf"

style="color:#169">- DashboardReleaseNote (1).pdf</a> (72 KB)<br> </fieldset> <hr

style="width:100%;height:1px;background:#ccc;border:0;margin:1.2em 0"> <span class="footer"

style="font-size:0.8em;font-style:italic"><p>You have received this notification because you have either subscribed to it, or are
involved in it.<br>To change your notification preferences, please click here: <a class="external" href="http:///redmine/my/account"

style="color:#169">http:///redmine/my/account&lt;/a&gt;&lt;/p&gt;&lt;/span> </body> </html>

----==_mimepart_5d131e8db8b50_46723fea547c6dec420eb--

Quote Edit Delete

wrote:

Live connects have been added ()

Please start with the realtime dashboard

testing something

Related issues:

Copied from Redmine - Defect #31622: Mime output on note in project Closed

History

#1 - 2019-06-26 09:57 - Tech Iewc

- Copied from Defect #31622: Mime output on note in project  added

#2 - 2019-06-27 12:44 - Tech Iewc

- Status changed from New to Resolved

Resovled

I was able to resolve the issue there was a clash in attr send_notification and send notification plugin

#3 - 2019-06-27 12:46 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback. Closing.

Files

Screenshot from 2019-06-25 09-54-29.png 37.1 KB 2019-06-25 Tech Iewc
